Bug 1060841 - Review Request: flrig - Transceiver control program
Summary: Review Request: flrig - Transceiver control program
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-03 17:51 UTC by Richard Shaw
Modified: 2014-09-09 22:07 UTC (History)
2 users (show)

Fixed In Version: flrig-1.3.16-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-09 22:07:03 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Richard Shaw 2014-02-03 17:51:42 UTC
Spec URL: http://hobbes1069.fedorapeople.org//flrig.spec
SRPM URL: http://hobbes1069.fedorapeople.org//flrig-1.3.15-1.fc19.src.rpm

Description:
Flrig is a transceiver control program designed to be used either stand alone or
as an adjunct to fldigi.  The supported transceivers all have some degree of
CAT.  The flrig user interface changes to accommodate the degree of CAT support
available for the transceiver in use.

Comment 1 Richard Shaw 2014-02-03 17:51:45 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6486102

Comment 2 Christopher Meng 2014-02-07 09:09:01 UTC
You can package all stuffs from w1hkj and I can review all of them if you want.

I will review this bug later.

Comment 3 Richard Shaw 2014-02-07 19:27:18 UTC
I packaged the ones I thought most commonly used but I'm open to packaging some of the others, however, one or two have not been updated in quite some time so I'm not sure of their usefulness.

Comment 4 Christopher Meng 2014-02-08 01:40:06 UTC
I mean those who still receive updates ;) Don't package dead upstream tools unless they can work well and still useful for end users...

Comment 5 Christopher Meng 2014-02-08 02:57:57 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later) (with incorrect FSF address)", "GPL (v2 or later)",
     "GPL (v3 or later)", "Unknown or generated", "*No copyright* GPL (v3 or
     later)", "LGPL (v2 or later) (with incorrect FSF address)", "GPL (v3 or
     later) (with incorrect FSF address)". 192 files have unknown license.
     Detailed output of licensecheck:

*No copyright* GPL (v3 or later)
--------------------------------
flrig-1.3.15/src/font_browser.cxx
flrig-1.3.15/src/include/font_browser.h

GPL (v2 or later)
-----------------
flrig-1.3.15/src/include/gettext.h

GPL (v3 or later)
-----------------
flrig-1.3.15/src/debug.cxx
flrig-1.3.15/src/flslider2.cxx
flrig-1.3.15/src/include/debug.h
flrig-1.3.15/src/include/flslider2.h
flrig-1.3.15/src/mingw.c

GPL (v3 or later) (with incorrect FSF address)
----------------------------------------------
flrig-1.3.15/src/icons.cxx

LGPL (v2 or later) (with incorrect FSF address)
-----------------------------------------------
flrig-1.3.15/src/Fl_SigBar.cxx
flrig-1.3.15/src/FreqControl.cxx
flrig-1.3.15/src/include/Fl_SigBar.h
flrig-1.3.15/src/include/FreqControl.h
flrig-1.3.15/src/include/combo.h

LGPL (v2.1 or later) (with incorrect FSF address)
-------------------------------------------------
flrig-1.3.15/src/xmlrpcpp/XmlRpc.h

Unknown or generated
--------------------
flrig-1.3.15/scripts/build4mingw.sh
flrig-1.3.15/scripts/mkappbundle.sh
flrig-1.3.15/scripts/mknsisinst.sh
flrig-1.3.15/src/K3_ui.cxx
flrig-1.3.15/src/UI/meters_setup.cxx
flrig-1.3.15/src/UI/power_meter_setup.cxx
flrig-1.3.15/src/UI/rigpanel.cxx
flrig-1.3.15/src/UI/ui_bitmaps.cxx
flrig-1.3.15/src/UI/ui_memory.cxx
flrig-1.3.15/src/UI/ui_setup.cxx
flrig-1.3.15/src/UI/ui_small.cxx
flrig-1.3.15/src/UI/ui_wide.cxx
flrig-1.3.15/src/UI/xcvr_setup.cxx
flrig-1.3.15/src/ValueSlider.cxx
flrig-1.3.15/src/combo.cxx
flrig-1.3.15/src/config.h
flrig-1.3.15/src/dialogs.cxx
flrig-1.3.15/src/flinput2.cxx
flrig-1.3.15/src/flrig_icon.cxx
flrig-1.3.15/src/images.cxx
flrig-1.3.15/src/include/DELTA-II.h
flrig-1.3.15/src/include/FT1000.h
flrig-1.3.15/src/include/FT1000MP.h
flrig-1.3.15/src/include/FT100D.h
flrig-1.3.15/src/include/FT2000.h
flrig-1.3.15/src/include/FT450.h
flrig-1.3.15/src/include/FT5000.h
flrig-1.3.15/src/include/FT747.h
flrig-1.3.15/src/include/FT767.h
flrig-1.3.15/src/include/FT817.h
flrig-1.3.15/src/include/FT847.h
flrig-1.3.15/src/include/FT857D.h
flrig-1.3.15/src/include/FT890.h
flrig-1.3.15/src/include/FT920.h
flrig-1.3.15/src/include/FT950.h
flrig-1.3.15/src/include/FT990.h
flrig-1.3.15/src/include/FTdx1200.h
flrig-1.3.15/src/include/FTdx3000.h
flrig-1.3.15/src/include/IC7000.h
flrig-1.3.15/src/include/IC703.h
flrig-1.3.15/src/include/IC706MKIIG.h
flrig-1.3.15/src/include/IC7100.h
flrig-1.3.15/src/include/IC718.h
flrig-1.3.15/src/include/IC7200.h
flrig-1.3.15/src/include/IC728.h
flrig-1.3.15/src/include/IC735.h
flrig-1.3.15/src/include/IC746.h
flrig-1.3.15/src/include/IC756.h
flrig-1.3.15/src/include/IC756PRO2.h
flrig-1.3.15/src/include/IC756PRO3.h
flrig-1.3.15/src/include/IC7600.h
flrig-1.3.15/src/include/IC7700.h
flrig-1.3.15/src/include/IC910.h
flrig-1.3.15/src/include/IC9100.h
flrig-1.3.15/src/include/ICbase.h
flrig-1.3.15/src/include/K2.h
flrig-1.3.15/src/include/K3.h
flrig-1.3.15/src/include/K3_ui.h
flrig-1.3.15/src/include/PCR1000.h
flrig-1.3.15/src/include/RAY152.h
flrig-1.3.15/src/include/TS140.h
flrig-1.3.15/src/include/TS2000.h
flrig-1.3.15/src/include/TS450S.h
flrig-1.3.15/src/include/TS480HX.h
flrig-1.3.15/src/include/TS480SAT.h
flrig-1.3.15/src/include/TS570.h
flrig-1.3.15/src/include/TS590S.h
flrig-1.3.15/src/include/TS870S.h
flrig-1.3.15/src/include/TS990.h
flrig-1.3.15/src/include/TT516.h
flrig-1.3.15/src/include/TT538.h
flrig-1.3.15/src/include/TT550.h
flrig-1.3.15/src/include/TT563.h
flrig-1.3.15/src/include/TT566.h
flrig-1.3.15/src/include/TT588.h
flrig-1.3.15/src/include/TT599.h
flrig-1.3.15/src/include/ValueSlider.h
flrig-1.3.15/src/include/compat-mingw.h
flrig-1.3.15/src/include/compat.h
flrig-1.3.15/src/include/dialogs.h
flrig-1.3.15/src/include/fileselect.h
flrig-1.3.15/src/include/flinput2.h
flrig-1.3.15/src/include/flrigrc.h
flrig-1.3.15/src/include/generic.h
flrig-1.3.15/src/include/icons.h
flrig-1.3.15/src/include/images.h
flrig-1.3.15/src/include/mingw.h
flrig-1.3.15/src/include/pixmaps.h
flrig-1.3.15/src/include/ptt.h
flrig-1.3.15/src/include/rig.h
flrig-1.3.15/src/include/rig_io.h
flrig-1.3.15/src/include/rigbase.h
flrig-1.3.15/src/include/rigpanel.h
flrig-1.3.15/src/include/rigs.h
flrig-1.3.15/src/include/serial.h
flrig-1.3.15/src/include/status.h
flrig-1.3.15/src/include/support.h
flrig-1.3.15/src/include/threads.h
flrig-1.3.15/src/include/util.h
flrig-1.3.15/src/include/xml_io.h
flrig-1.3.15/src/pixmaps.cxx
flrig-1.3.15/src/ptt.cxx
flrig-1.3.15/src/rig.cxx
flrig-1.3.15/src/rig_io.cxx
flrig-1.3.15/src/rigbase.cxx
flrig-1.3.15/src/rigs.cxx
flrig-1.3.15/src/rigs/DELTA-II.cxx
flrig-1.3.15/src/rigs/FT1000.cxx
flrig-1.3.15/src/rigs/FT1000MP.cxx
flrig-1.3.15/src/rigs/FT100D.cxx
flrig-1.3.15/src/rigs/FT2000.cxx
flrig-1.3.15/src/rigs/FT450.cxx
flrig-1.3.15/src/rigs/FT5000.cxx
flrig-1.3.15/src/rigs/FT747.cxx
flrig-1.3.15/src/rigs/FT767.cxx
flrig-1.3.15/src/rigs/FT817.cxx
flrig-1.3.15/src/rigs/FT847.cxx
flrig-1.3.15/src/rigs/FT857D.cxx
flrig-1.3.15/src/rigs/FT890.cxx
flrig-1.3.15/src/rigs/FT920.cxx
flrig-1.3.15/src/rigs/FT950.cxx
flrig-1.3.15/src/rigs/FT990.cxx
flrig-1.3.15/src/rigs/FTdx1200.cxx
flrig-1.3.15/src/rigs/FTdx3000.cxx
flrig-1.3.15/src/rigs/IC7000.cxx
flrig-1.3.15/src/rigs/IC703.cxx
flrig-1.3.15/src/rigs/IC706MKIIG.cxx
flrig-1.3.15/src/rigs/IC7100.cxx
flrig-1.3.15/src/rigs/IC718.cxx
flrig-1.3.15/src/rigs/IC7200.cxx
flrig-1.3.15/src/rigs/IC728.cxx
flrig-1.3.15/src/rigs/IC735.cxx
flrig-1.3.15/src/rigs/IC746.cxx
flrig-1.3.15/src/rigs/IC756.cxx
flrig-1.3.15/src/rigs/IC756PRO2.cxx
flrig-1.3.15/src/rigs/IC756PRO3.cxx
flrig-1.3.15/src/rigs/IC7600.cxx
flrig-1.3.15/src/rigs/IC7700.cxx
flrig-1.3.15/src/rigs/IC910.cxx
flrig-1.3.15/src/rigs/IC9100.cxx
flrig-1.3.15/src/rigs/ICbase.cxx
flrig-1.3.15/src/rigs/K2.cxx
flrig-1.3.15/src/rigs/K3.cxx
flrig-1.3.15/src/rigs/PCR1000.cxx
flrig-1.3.15/src/rigs/RAY152.cxx
flrig-1.3.15/src/rigs/TS140.cxx
flrig-1.3.15/src/rigs/TS2000.cxx
flrig-1.3.15/src/rigs/TS450S.cxx
flrig-1.3.15/src/rigs/TS480HX.cxx
flrig-1.3.15/src/rigs/TS480SAT.cxx
flrig-1.3.15/src/rigs/TS570.cxx
flrig-1.3.15/src/rigs/TS590S.cxx
flrig-1.3.15/src/rigs/TS870S.cxx
flrig-1.3.15/src/rigs/TS990.cxx
flrig-1.3.15/src/rigs/TT516.cxx
flrig-1.3.15/src/rigs/TT538.cxx
flrig-1.3.15/src/rigs/TT550.cxx
flrig-1.3.15/src/rigs/TT563.cxx
flrig-1.3.15/src/rigs/TT566.cxx
flrig-1.3.15/src/rigs/TT588.cxx
flrig-1.3.15/src/rigs/TT599.cxx
flrig-1.3.15/src/serial.cxx
flrig-1.3.15/src/status.cxx
flrig-1.3.15/src/support.cxx
flrig-1.3.15/src/util.cxx
flrig-1.3.15/src/xml_io.cxx
flrig-1.3.15/src/xmlrpcpp/XmlRpcClient.cpp
flrig-1.3.15/src/xmlrpcpp/XmlRpcClient.h
flrig-1.3.15/src/xmlrpcpp/XmlRpcDispatch.cpp
flrig-1.3.15/src/xmlrpcpp/XmlRpcDispatch.h
flrig-1.3.15/src/xmlrpcpp/XmlRpcException.h
flrig-1.3.15/src/xmlrpcpp/XmlRpcMutex.cpp
flrig-1.3.15/src/xmlrpcpp/XmlRpcMutex.h
flrig-1.3.15/src/xmlrpcpp/XmlRpcServer.cpp
flrig-1.3.15/src/xmlrpcpp/XmlRpcServer.h
flrig-1.3.15/src/xmlrpcpp/XmlRpcServerConnection.cpp
flrig-1.3.15/src/xmlrpcpp/XmlRpcServerConnection.h
flrig-1.3.15/src/xmlrpcpp/XmlRpcServerMethod.cpp
flrig-1.3.15/src/xmlrpcpp/XmlRpcServerMethod.h
flrig-1.3.15/src/xmlrpcpp/XmlRpcSocket.cpp
flrig-1.3.15/src/xmlrpcpp/XmlRpcSocket.h
flrig-1.3.15/src/xmlrpcpp/XmlRpcSource.cpp
flrig-1.3.15/src/xmlrpcpp/XmlRpcSource.h
flrig-1.3.15/src/xmlrpcpp/XmlRpcThread.cpp
flrig-1.3.15/src/xmlrpcpp/XmlRpcThread.h
flrig-1.3.15/src/xmlrpcpp/XmlRpcThreadedServer.cpp
flrig-1.3.15/src/xmlrpcpp/XmlRpcThreadedServer.h
flrig-1.3.15/src/xmlrpcpp/XmlRpcUtil.cpp
flrig-1.3.15/src/xmlrpcpp/XmlRpcUtil.h
flrig-1.3.15/src/xmlrpcpp/XmlRpcValue.cpp
flrig-1.3.15/src/xmlrpcpp/XmlRpcValue.h
flrig-1.3.15/src/xmlrpcpp/base64.h

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: flrig-1.3.15-1.fc21.i686.rpm
          flrig-1.3.15-1.fc21.src.rpm
flrig.i686: W: spelling-error %description -l en_US fldigi -> digital
flrig.i686: W: no-manual-page-for-binary flrig
flrig.src: W: spelling-error %description -l en_US fldigi -> digital
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint flrig
flrig.i686: W: spelling-error %description -l en_US fldigi -> digital
flrig.i686: W: no-manual-page-for-binary flrig
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
flrig (rpmlib, GLIBC filtered):
    libX11.so.6
    libc.so.6
    libdl.so.2
    libfltk.so.1.3
    libfltk_images.so.1.3
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libpthread.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    rtld(GNU_HASH)



Provides
--------
flrig:
    application()
    application(flrig.desktop)
    flrig
    flrig(x86-32)



Source checksums
----------------
http://www.w1hkj.com/downloads/flrig/flrig-1.3.15.tar.gz :
  CHECKSUM(SHA256) this package     : 1c6163b3b1a410829a2ac4bd68f857d7c25419041bd30eb003bd0aff22348818
  CHECKSUM(SHA256) upstream package : 1c6163b3b1a410829a2ac4bd68f857d7c25419041bd30eb003bd0aff22348818


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -rvn flrig-1.3.15-1.fc19.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

----------------------------
1. desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

Please move this to %check section, because it's a validation process. I hope you can understand my request here. Also remove the slash:

%{buildroot}/%{_datadir}

-->

%{buildroot}%{_datadir}

2. It seems that a dead upstream library xmlrpcpp is bundled, in spite of its dead upstream attribution is immutable, I still deem that you should request an exception? Your idea is welcome.

3. Why upstream bundles gettext header? Can you cofirm with upstream?

4. Ask upstream to add license header.

Comment 6 Christopher Meng 2014-02-08 03:02:15 UTC
Issue forgot to paste here:

5. Missing requires of xdg-utils. (src/rig.cxx)

Comment 7 Richard Shaw 2014-02-08 03:55:49 UTC
(In reply to Christopher Meng from comment #5)
> [?]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "LGPL (v2.1 or later) (with incorrect FSF address)", "GPL (v2 or
> later)",
>      "GPL (v3 or later)", "Unknown or generated", "*No copyright* GPL (v3 or
>      later)", "LGPL (v2 or later) (with incorrect FSF address)", "GPL (v3 or
>      later) (with incorrect FSF address)". 192 files have unknown license.

Meh. I hate licenses. I'm option to suggestion on what to do with the mix of gpl licenses.


> 1. desktop-file-validate
> %{buildroot}/%{_datadir}/applications/%{name}.desktop
> 
> Please move this to %check section, because it's a validation process. I
> hope you can understand my request here.

The guidelines allow for it to be in either. I tend to reserve %check for actual unit testing of libraries or binary output. To me the failure of a correct desktop file is an install failure, not a code failure.

> Also remove the slash:
> 
> %{buildroot}/%{_datadir}

Interesting, I didn't check this because I copied it directly from the GL..

https://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage


> 2. It seems that a dead upstream library xmlrpcpp is bundled, in spite of
> its dead upstream attribution is immutable, I still deem that you should
> request an exception? Your idea is welcome.

Well that's great... I'll ask upstream.


 
> 3. Why upstream bundles gettext header? Can you cofirm with upstream?

Ditto.

 
> 4. Ask upstream to add license header.

For the unknown files?

Comment 8 Christopher Meng 2014-02-08 04:00:01 UTC
(In reply to Richard Shaw from comment #7)
>  
> > 4. Ask upstream to add license header.
> 
> For the unknown files?

Yes.

Comment 9 Richard Shaw 2014-05-08 21:22:40 UTC
(In reply to Richard Shaw from comment #7)
> (In reply to Christopher Meng from comment #5)
> > [?]: License field in the package spec file matches the actual license.
> >      Note: Checking patched sources after %prep for licenses. Licenses found:
> >      "LGPL (v2.1 or later) (with incorrect FSF address)", "GPL (v2 or
> > later)",
> >      "GPL (v3 or later)", "Unknown or generated", "*No copyright* GPL (v3 or
> >      later)", "LGPL (v2 or later) (with incorrect FSF address)", "GPL (v3 or
> >      later) (with incorrect FSF address)". 192 files have unknown license.
> 
> Meh. I hate licenses. I'm option to suggestion on what to do with the mix of
> gpl licenses.

Asking the almighty google, it looks like when GPL and LGPL code is mixed, the outcome is GPL, so I think "GPLv3+" is correct.


> > Also remove the slash:
> > 
> > %{buildroot}/%{_datadir}
> 
> Interesting, I didn't check this because I copied it directly from the GL..
> 
> https://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-
> install_usage

Fixed.


> > 2. It seems that a dead upstream library xmlrpcpp is bundled, in spite of
> > its dead upstream attribution is immutable, I still deem that you should
> > request an exception? Your idea is welcome.
> 
> Well that's great... I'll ask upstream. 

Same as the other review, doesn't seem to be an issue:
https://lists.fedoraproject.org/pipermail/devel/2014-May/199059.html


> > 3. Why upstream bundles gettext header? Can you confirm with upstream?

Ok, gettext seems to put the header in /usr/share so it can't really be included by anything... I guess it needs it. 


> > 4. Ask upstream to add license header.

I've asked and he has begun work but shouldn't be a blocker...

Comment 11 Christopher Meng 2014-08-06 08:35:38 UTC
What about that bundled xmlrpc++? Is it approved by FESCo?

Comment 12 Richard Shaw 2014-08-06 13:43:02 UTC
(In reply to Christopher Meng from comment #11)
> What about that bundled xmlrpc++? Is it approved by FESCo?

I think this is in the grey area because:
1. Upstream is dead (last update 2003)
2. The code is modified
3. The "author" of the modified code doesn't want it used as a separate library.
4. The library is not currently in Fedora

And I haven't seen a response from you on the discussion from the mailing list:
https://lists.fedoraproject.org/pipermail/devel/2014-May/199059.html

Comment 13 Richard Shaw 2014-08-06 13:46:21 UTC
Here our guidelines seem to conflict a bit but from this page[1]:
"Packages which contain bundled libraries (bundled libraries being defined as libraries which exist and are maintained independently, whether or not they are packaged separately for Fedora)..."

Since upstream is dead, it is no longer maintained (regardless of modification by this program).

[1] https://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries

Comment 14 Christopher Meng 2014-08-07 01:40:11 UTC
I received the email but I'm not a lawyer so I didn't reply.

Have you read comment #6?

Comment 15 Richard Shaw 2014-08-07 14:05:11 UTC
(In reply to Christopher Meng from comment #14)
> I received the email but I'm not a lawyer so I didn't reply.

It's a guidelines issue not a license/legal one so no law degree required :)
> 
> Have you read comment #6?

I have now... I'm not sure if it changed in the latest source but there is no src/rig.cxx in 1.3.16, however I grepped through the source and found that src/main.cxx uses xdg-option... Good catch by the way I never would have thought to check for that.

Comment 16 Christopher Meng 2014-08-07 14:15:00 UTC
Clear. 

I will approve it once you address the xdg issue.

Comment 17 Richard Shaw 2014-08-07 14:23:39 UTC
SPEC: https://hobbes1069.fedorapeople.org/flrig.spec
SRPM: https://hobbes1069.fedorapeople.org/flrig-1.3.16-2.fc20.src.rpm

Added xdg-open to package Requires.

Comment 18 Christopher Meng 2014-08-08 01:04:26 UTC
PACKAGE APPROVED.

Comment 19 Richard Shaw 2014-08-08 01:12:08 UTC
New Package SCM Request
=======================
Package Name: flrig
Short Description: Transceiver control program
Upstream URL: http://www.w1hkj.com/
Owners: hobbes1069
Branches: f20 epel7
InitialCC:

Comment 20 Gwyn Ciesla 2014-08-22 12:17:11 UTC
Git done (by process-git-requests).

Added f21.

Comment 21 Fedora Update System 2014-08-26 14:00:07 UTC
flrig-1.3.16-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/flrig-1.3.16-2.fc20

Comment 22 Fedora Update System 2014-08-27 01:32:57 UTC
flrig-1.3.16-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 23 Fedora Update System 2014-09-09 22:07:03 UTC
flrig-1.3.16-2.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.